明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1522|回复: 1

vba的一个多段线绘制问题

[复制链接]
发表于 2007-8-1 15:08:00 | 显示全部楼层 |阅读模式
我用vba 编了一个程序,输入自变量范围绘制多段线,有些自变量能行有的就不行了弹出下列错误.说是 安全数组太少 或元素数目不是3的倍数,有那位高手知道怎么回事请指教。最好能给我讲讲解决的办法,我也很想和大家叫个朋友qq113080248
发表于 2007-8-1 15:43:00 | 显示全部楼层

区分两种多段线LightWeightPolyline和Polyline。详见AutoCAD ActiveX and VBA Reference

Sub Example_AddLightWeightPolyline()
    ' This example creates a lightweight polyline in model space.
   
    Dim plineObj As AcadLWPolyline
    Dim points(0 To 9) As Double
   
    ' Define the 2D polyline points
    points(0) = 1: points(1) = 1
    points(2) = 1: points(3) = 2
    points(4) = 2: points(5) = 2
    points(6) = 3: points(7) = 2
    points(8) = 4: points(9) = 4
       
    ' Create a lightweight Polyline object in model space
    Set plineObj = ThisDrawing.ModelSpace.AddLightWeightPolyline(points)
    ZoomAll
   
End Sub


Sub Example_AddPolyline()
    ' This example creates a polyline in model space.
   
    Dim plineObj As AcadPolyline
    Dim points(0 To 14) As Double
   
    ' Define the 2D polyline points
    points(0) = 1: points(1) = 1: points(2) = 0
    points(3) = 1: points(4) = 2: points(5) = 0
    points(6) = 2: points(7) = 2: points(8) = 0
    points(9) = 3: points(10) = 2: points(11) = 0
    points(12) = 4: points(13) = 4: points(14) = 0
       
    ' Create a lightweight Polyline object in model space
    Set plineObj = ThisDrawing.ModelSpace.AddPolyline(points)
    ZoomAll
   
End Sub

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-30 02:39 , Processed in 0.177243 second(s), 25 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表